umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_umlwidgetstylepage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/pages/umlwidgetstylepage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_UMLWidgetStylePage_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_UMLWidgetStylePage_t | qt_meta_stringdata_UMLWidgetStylePage
static const uint | qt_meta_data_UMLWidgetStylePage []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_UMLWidgetStylePage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)

## Variable Documentation

## ◆ qt_meta_data_UMLWidgetStylePage

const uint qt_meta_data_UMLWidgetStylePage[]
| static

## ◆ qt_meta_stringdata_UMLWidgetStylePage

const qt_meta_stringdata_UMLWidgetStylePage_t qt_meta_stringdata_UMLWidgetStylePage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 18),
QT_MOC_LITERAL(1, 19, 21),
QT_MOC_LITERAL(2, 41, 0),
QT_MOC_LITERAL(3, 42, 21),
QT_MOC_LITERAL(4, 64, 21),
QT_MOC_LITERAL(5, 86, 27),
QT_MOC_LITERAL(6, 114, 24),
QT_MOC_LITERAL(7, 139, 26)
},
"UMLWidgetStylePage\0slotTextButtonClicked\0"
"\0slotLineButtonClicked\0slotFillButtonClicked\0"
"slotBackgroundButtonClicked\0"
"slotGridDotButtonClicked\0"
"slotLineWidthButtonClicked"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_umlwidgetstylepage.cpp:28
qt_meta_stringdata_UMLWidgetStylePage_t
Definition: moc_umlwidgetstylepage.cpp:24